<?php
# Script by seg0ro http://mobilarts.ru
# Not for sale!!!

defined('_IN_JOHNCMS') or die('Error: restricted access');

require('../incfiles/lib/class.upload.php');

$textl .= ' | Добавление форума';
require_once('../incfiles/head.php');

if ($rights < 9){
  echo functions::display_error('У вас недостаточно прав для просмотра этой страницы!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

if ($forum){
  $tree = array('<a href="index.php">Форум</a>', '<a href="index.php?forum='.$forumRes['forum'].'">'.functions::checkout($forumRes['forumname']).'</a>', 'Новый подфорум');
  
  if ($forumRes['type'] == 1){
    echo functions::display_error('Вы не можете создать подфорум в форуме предназначенном для тем!<br /><a href="index.php">Форум</a>');
    require_once('../incfiles/end.php');
    exit;
  }
}else{
  $tree = array('<a href="index.php">Форум</a>', 'Новый форум');
}

echo '<div class="phdr">'.functions::display_menu($tree).'</div>';

if (isset($_POST['send'])){

  if (empty($_POST['forumname']))
    $error .= 'Не введено название!<br />';

  if (mb_strlen($_POST['forumname']) > 100)
    $error .= 'Слишком длинное название!<br />';

  $sort = mysql_fetch_assoc(mysql_query("SELECT `sort` FROM `forum_forums` WHERE  `parent` = '$forum' ORDER BY `sort` DESC "));

  if (!$error){
    mysql_query("INSERT INTO `forum_forums` SET
    `sort` = '".($sort['sort'] + 1)."',
    `parent` = '$forum',
    `type` = '".intval($_POST['type'])."',
    `forumname` = '".mysql_real_escape_string(trim($_POST['forumname']))."',
    `desc` = '".mysql_real_escape_string(trim($_POST['desc']))."',
    `keyw` = '".mysql_real_escape_string(trim($_POST['keyw']))."',
    `descw` = '".mysql_real_escape_string(trim($_POST['descw']))."',
    `close` = '".intval($_POST['close'])."',
    `template` = '".mysql_real_escape_string(trim($_POST['template']))."'
    ");
    $fid = mysql_insert_id();

    if ($forum){
      mysql_query("UPDATE `forum_forums` SET
      `count`= count + 1 WHERE `forum` = '$forum' LIMIT 1 ");
    }

    mysql_query("UPDATE `users` SET `lastpost` = '".time()."' WHERE `id` = '$user_id' ");
    
    $icon = '';
    
    $handle = new upload($_FILES['icon'], 'ru_RU');
    if ($handle->uploaded){
      $handle->file_new_name_body = $fid;
      $handle->allowed = array('image/jpeg', 'image/gif', 'image/png');
      $handle->file_overwrite = true;
      $handle->image_convert = 'png';
      $handle->process('../files/forum/icons/');
      if ($handle->processed){
        $icon = '<br />Иконка загружена';
      }
    }
    
    header ('Refresh:1; URL=index.php?forum='.$fid);
    echo '<div class="gmenu">Форум создан'.$icon.'<br /><a href="index.php?forum='.$fid.'">Далее</a></div>';
    require_once('../incfiles/end.php');
    exit;
  }
}

if ($error)
  echo functions::display_error($error);

echo '<form id="form" name="form" action="index.php?act=addforum&amp;forum='.$forum.'" method="post" enctype="multipart/form-data">'.
'<div class="list1">Название <img style="cursor: pointer;" onclick="alert(this.title);" src="images/question.png" alt="?" title="Максимально 100 символов" />:<br /><input type="text" name="forumname" value="'.text($_POST['forumname']).'" /><br />'.
'<select name="type"><option value="0">Для форумов</option><option value="1">Для тем</option></select></div><div class="gmenu">'.
'<label><input type="checkbox" name="close" value="1"'.($close && !intval($_POST['type']) ? ' checked="checked"' : '').' /> Запретить создание тем пользователями</label><br />'.
'Описание:<br />'.bbcode::auto_bb('form', 'desc').'<textarea name="desc" cols="30" rows="'.$set_user['field_h'].'">'.text($_POST['desc']).'</textarea><br />'.
'Шаблон сообщения <img style="cursor: pointer;" onclick="alert(this.title);" src="images/question.png" alt="?" title="Для форума с темами" />:<br />'.bbcode::auto_bb('form', 'template').'<textarea name="template" cols="30" rows="'.$set_user['field_h'].'">'.text($_POST['template']).'</textarea><br />'.
'Ключевые слова (метатег):<br /><textarea name="keyw">'.text(isset($_POST['keyw']) ? $_POST['keyw'] : $forumRes['keyw']).'</textarea><br />'.
'Описание (метатег):<br /><textarea name="descw">'.text(isset($_POST['descw']) ? $_POST['descw'] : $forumRes['descw']).'</textarea><br />'.
''.
'<input type="submit" name="send" value="Отправить" /></div></form>';